----------
-- Utilities
----------

-- Read a file off disk and get its contents.
function GetFile(FileName) 
   local function LoadMilestonedFile(FileName)   
      FileName = iguana.project.files()["other" .. FileName]
      trace(FileName)
      if FileName then
         return os.fs.readFile(FileName);
      end
   end
   
   local function LoadSandboxFile(FileName)
      local RootDir = iguana.workingDir() .. 'edit/admin/other'
      trace(RootDir)
      local Path = os.fs.abspath(RootDir .. FileName)
      if (Path:sub(1, #RootDir) ~=RootDir) then
         -- We have an above root attack.
         return
      end
      if (os.fs.access(Path)) then
         return os.fs.readFile(Path)
      end
      return nil
   end

   if (true) then --iguana.isTest()) then 
      return LoadSandboxFile(FileName)
   end
   return LoadMilestonedFile(FileName)
end

-- Decide what MIME type to use when serving a file.
function FindEntity(FileName) 
   local ContentTypeMap = {
      ['.js']  = 'application/x-javascript',
      ['.css'] = 'text/css',
      ['.gif'] = 'image/gif',
      ['.jpg'] = 'image/jpeg',
      ['.html'] = 'text/html',
      ['.png'] = 'image/png'
   }
   local Ext = FileName:match('.*(%.%a+)$')
   local Entity = ContentTypeMap[Ext]
   return Entity or 'text/plain'
end
